Subject: Re: bug#30401: gitolite some important hooks not working
From: zimoun <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 25 Nov 2021 00:47:34 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Fri, 09 Feb 2018 at 12:52, [email-masked] wrote:
> A paste that lost its formatting but speaks for itself:

[...]

> Installing the module + perl into the profile didn't help either.
> There's a service NixOS provides which we could replicate, but
> for now I have a crash recovery to make and would like to get
> gitolite up and running. Ideas, input, even small hacks welcome.
>
> guix package -l:
> Generation 1    Feb 09 2018 13:28:26
>   perl-data-dumper-concise      2.023   out
>   /gnu/store/fckd34g3njmjc8yl4vk3hkqj5cbv9mvj-perl-data-dumper-concise-2.023
>
> Generation 2    Feb 09 2018 13:32:57    (current)
>  + perl 5.26.0  out
>  /gnu/store/9g4fpfz86vjkx83v5696vm5dzg2sc9qj-perl-5.26.0
>
>
>  env:
>  DICPATH=/home/git/.guix-profile/share/hunspell:/run/current-system/profile/share/hunspell
>  LANG=en_US.UTF-8
>  GTK_DATA_PREFIX=/run/current-system/profile
>  GST_PLUGIN_PATH=/home/git/.guix-profile/lib/gstreamer-1.0
>  GIT_SSL_CAINFO=/run/current-system/profile/etc/ssl/certs/ca-certificates.crt
>  LINUX_MODULE_DIRECTORY=/run/booted-system/kernel/lib/modules
>  GUILE_LOAD_COMPILED_PATH=/run/current-system/profile/lib/guile/2.2/site-ccache:/run/current-system/profile/share/guile/site/2.2
>  USER=git
>  TZDIR=/gnu/store/bzj472nmnnj5hcfd5yvfiqip1wzw84p9-tzdata-2017b/share/zoneinfo
>  GUIX_LOCPATH=/run/current-system/locale
>  PWD=/home/git
>  HOME=/home/git
>  XDG_DATA_DIRS=/home/git/.guix-profile/share:/run/current-system/profile/share
>  SSL_CERT_FILE=/etc/ssl/certs/ca-certificates.crt
>  GIT_EXEC_PATH=/run/current-system/profile/libexec/git-core
>  SHELL=/gnu/store/ars9lm9jk9hgdifg0gqvf1jrvz5mdg1j-bash-4.4.12/bin/bash
>  TERM=st-256color
>  PERL5LIB=/home/git/.guix-profile/lib/perl5/site_perl
>  SHLVL=1
>  MANPATH=/run/current-system/profile/share/man:/home/git/.guix-profile/share/man:/run/current-system/profile/share/man
>  SSL_CERT_DIR=/etc/ssl/certs
>  BASH_LOADABLES_PATH=/run/current-system/profile/lib/bash
>  LOGNAME=git
>  GUILE_LOAD_PATH=/run/current-system/profile/share/guile/site/2.2
>  XDG_CONFIG_DIRS=/home/git/.guix-profile/etc/xdg:/run/current-system/profile/etc/xdg
>  DBUS_FATAL_WARNINGS=0
>  PATH=/home/git/.guix-profile/bin:/run/setuid-programs:/run/current-system/profile/bin:/run/current-system/profile/sbin
>  INFOPATH=/run/current-system/profile/share/info:/home/git/.guix-profile/share/info:/run/current-system/profile/share/info
>  XCURSOR_PATH=/home/git/.icons:/home/git/.guix-profile/share/icons:/run/current-system/profile/share/icons
>  _=/run/current-system/profile/bin/env

Reading the all thread, it appears to me that it lacks info for
investigating.  Therefore, I am closing.

If I miss something, feel free to reopen.

Cheers,
simon